#
# spec file for package NetworkManager-strongswan
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           NetworkManager-strongswan
Version:        1.4.3
Release:        lp150.1.1
Summary:        NetworkManager VPN support for strongSwan
License:        GPL-2.0-or-later
Group:          Productivity/Networking/System
URL:            http://www.strongswan.org/
Source0:        http://download.strongswan.org/NetworkManager/%{name}-%{version}.tar.bz2
Source1:        README
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(NetworkManager) >= 1.1.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:  pkgconfig(libnm-glib)
BuildRequires:  pkgconfig(libnm-glib-vpn)
BuildRequires:  pkgconfig(libnm-gtk) >= 1.1.0
BuildRequires:  pkgconfig(libnm-util)
BuildRequires:  pkgconfig(libnma) >= 1.1.0
BuildRequires:  pkgconfig(libsecret-1)
Requires:       %{name}-frontend
Requires:       NetworkManager >= 0.9.0
Requires:       strongswan-nm >= 5.0.1
Recommends:     %{name}-lang
ExcludeArch:    s390 s390x

%description
NetworkManager-strongswan provides VPN support to NetworkManager for
strongSwan.

%package gnome
Summary:        NetworkManager VPN support for strongSwan
Group:          Productivity/Networking/System
Requires:       %{name} = %{version}
Requires:       NetworkManager-gnome >= 0.5.1
Provides:       %{name}-frontend

%description gnome
NetworkManager-strongswan provides VPN support to NetworkManager for
strongSwan.

%lang_package

%prep
%setup -q
cp %{SOURCE1} README.SUSE

%build
%configure\
	--disable-static \
	--disable-more-warnings
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print

%files
%doc README.SUSE
%dir %{_sysconfdir}/NetworkManager/VPN
%config %{_sysconfdir}/NetworkManager/VPN/nm-strongswan-service.name
%dir %{_libexecdir}/NetworkManager
%dir %{_libexecdir}/NetworkManager/VPN
%{_libexecdir}/NetworkManager/VPN/nm-strongswan-service.name
%{_libdir}/NetworkManager/libnm-vpn-plugin-strongswan.so

%files gnome
%{_libdir}/NetworkManager/libnm-strongswan-properties.so
%{_libexecdir}/nm-strongswan-auth-dialog
%{_datadir}/gnome-vpn-properties/
%{_datadir}/appdata/NetworkManager-strongswan.appdata.xml

%files lang -f %{name}.lang

%changelog
* Wed Mar  7 2018 bjorn.lie@gmail.com
- Update to version 1.4.3:
  + Add option to disable libnm-glib compatibility.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Thu Sep  7 2017 zaitor@opensuse.org
- Update to version 1.4.2:
  + Add support to configure IKE/ESP proposals.
  + Explicitly prevent PIN from getting stored.
* Fri Oct 28 2016 zaitor@opensuse.org
- Update to version 1.4.1:
  + Fixed several build issues.
* Fri Sep  9 2016 zaitor@opensuse.org
- Update to version 1.4.0:
  + Updated to NetworkManager 1.2.
- Changes from version 1.3.2:
  + GUI fix.
  + Update to libsecret.
  + D-Bus policy moved to charon-nm.
- Modify BuildRequires following upstreams changes:
  + Drop: pkgconfig(gnome-keyring-1), pkgconfig(gtk+-2.0),
    pkgconfig(dbus-glib-1) and pkgconfig(libgnomeui-2.0).
  + Add pkgconfig, pkgconfig(libnm-gtk), pkgconfig(libnma),
    pkgconfig(gtk+-3.0) and pkgconfig(libsecret-1).
- Drop nm-strongswan-service-conf.patch,
  nm-strongswan-fix-config.patch and nm-strongswan-UI-fixup.patch.
- Drop libtool BuildRequires and autoreconf call, we no longer
  carry any patches.
* Tue Sep  8 2015 dimstar@opensuse.org
- Add nm-strongswan-fix-config.patch: Fix path to NM plugins in
  config files (boo#944769).
- Add nm-strongswan-UI-fixup.patch: Fix broken UI (boo#944769).
- Add libtool BuildRequires and call to autoreconf, as above patch
  touches the build system.
* Wed Jun 10 2015 dimstar@opensuse.org
- Drop the sed hack to fix bnc#824079: since verson 1.3.1, the
  charon binary to be found is already called charon-nm by
  upstream (boo#934129).
- Clean out conditions for legacy openSUSE versions: we will always
  require strongswan > 5 as a consequence (which is correct, as
  that's when charon-nm was introduced).
* Fri Apr 25 2014 dimstar@opensuse.org
- Update to version 1.3.1:
  + Add PSK support.
  + Updated translations.
* Mon Mar 31 2014 dimstar@opensuse.org
- Pass --disable-more-warnings to configure: deal with deprecations
  in libraries (like libgnome-keyring).
* Mon Jun 10 2013 i@marguerite.su
- fix bnc#824079: "program" in nm-strongswan-service.name points
  to a wrong binary
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Thu Sep 29 2011 vuntz@opensuse.org
- Move to pkgconfig()-style BuildRequires:
  + Old ones: NetworkManager-devel, libglade2-devel,
    libgnomeui-devel, libgudev-1_0-devel.
  + New ones: NetworkManager, dbus-glib-1, gnome-keyring-1,
    gtk+-2.0, libgnomeui-2.0, libnm-glib,libnm-glib-vpn,
    libnm-util.
- Remove unneeded update-desktop-files BuildRequires.
* Wed Sep 28 2011 dimstar@opensuse.org
- Update to version 1.3.0:
  + Updated to NetworkManager 0.9
* Mon Dec  6 2010 vuntz@opensuse.org
- Update to version 1.2.0:
  + Added Smartcard support
- Remove unneeded dependencies: NetworkManager-gnome,
  perl-XML-Parser.
- Make sure to install README from the source package (as
  README.SUSE).
* Fri Nov 19 2010 binli@opensuse.org
- Add the 1.1.2's package.
